- Home
- API Enriched
- Shape
- shape
- GET SAFE Analyst Summary.
GET SAFE Analyst Summary.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/summary';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/safe/namespaces/example/safe/sas/summary \ --header 'Authorization: <Authorization>'GET SAFE transaction summary for analysts.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope the query.
Query Parameters
Section titled “Query Parameters”Timestamp representing start date of the requested period in millieseconds.
Timestamp representing end date of the requested period in millieseconds.
The API version to use.
Responses
Section titled “Responses”A successful response.
Any payload to be return by Safe SAS Summary API.
object
Data received from the downstream server.
Examplegenerated
{ "body": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example